Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate Class Reference

Parser for ObjectStateUpdate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate:

## Public Member Functions
| __construct (ObjectStateService $objectStateService, ParserTools $parserTools)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $objectStateService
| $parserTools
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for ObjectStateUpdate.

Definition at line 18 of file ObjectStateUpdate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate::__construct | ( | ObjectStateService | $objectStateService,
|  | ParserTools | $parserTools
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\ObjectStateService | $objectStateService |
  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |

Definition at line 36 of file ObjectStateUpdate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate\$objectStateService, and eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate\$parserTools.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\API\Repository\Values\ObjectState\ObjectStateUpdateStruct

Definition at line 50 of file ObjectStateUpdate.php.

## Member Data Documentation

## ◆ $objectStateService

eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate::$objectStateService
| protected

Definition at line 25 of file ObjectStateUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate\__construct().

## ◆ $parserTools

eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate::$parserTools
| protected

Definition at line 28 of file ObjectStateUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ObjectStateUpdate\__construct().

The documentation for this class was generated from the following file:

- ObjectStateUpdate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.